# Faraday::Panoptes

This gem gives you a set of middleware that lets you use the Zooniverse Panoptes API more easily:

```ruby
api_client = Faraday.new(url: "https://panoptes.zooniverse.org") do |faraday|
  faraday.adapter Faraday.default_adapter # WITHOUT THIS LINE NOTHING WILL HAPPEN
  
  faraday.request :panoptes_client_credentials, url: 'https://panoptes.zooniverse.org', client_id: 'APPLICATION_ID', client_secret: 'APPLICATION_SECRET'
  faraday.request :panoptes_api_v1
  faraday.response :json
end

response = api_client.get("/api/projects/1")
puts response.body
```


## Installation

Add this line to your application's Gemfile:

```ruby
gem 'faraday-panoptes'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install faraday-panoptes


## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake test` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/faraday-panoptes. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

